List event feed posts
curl --request GET \
--url https://app.orgo.space/api/v1/event-feed-posts \
--header 'Api-Token: <api-key>'import requests
url = "https://app.orgo.space/api/v1/event-feed-posts"
headers = {"Api-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Token': '<api-key>'}};
fetch('https://app.orgo.space/api/v1/event-feed-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.orgo.space/api/v1/event-feed-posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/event-feed-posts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.orgo.space/api/v1/event-feed-posts")
.header("Api-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/event-feed-posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": 42,
"owner": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"isBlockProtected": true
},
"ownerContact": {
"id": 42,
"name": "Boston Chapter",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"fullName": "James Patterson",
"firstName": "James",
"lastName": "Patterson"
},
"childrenCount": 12,
"dateCreated": "2026-01-15T10:30:00+00:00",
"mentions": [
{
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"isBlockProtected": true
}
],
"contactMentions": [
{
"id": 42,
"name": "Boston Chapter",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"fullName": "James Patterson",
"firstName": "James",
"lastName": "Patterson"
}
],
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"reactionData": [
"string"
],
"myReactions": [
"string"
],
"embedOpenGraph": {
"id": 42,
"url": "https://civic-collective.example.com/agm",
"openGraph": [
"string"
]
},
"medias": [
{
"id": 42,
"entityId": 42,
"contentUrl": "https://civic-collective.example.com",
"type": "MEMBER",
"mimeType": "application/pdf",
"originalName": "Boston Chapter"
}
],
"isDeleted": false,
"moderated": "/api/v1/logs/1",
"moderationStatus": "ACTIVE",
"task": "/api/v1/tasks/1",
"event": "/api/v1/events/1",
"eventFeedCategory": {
"id": 42,
"name": "Boston Chapter",
"color": "#16A34A"
},
"pinnedAt": "2026-01-15T10:30:00+00:00",
"parentId": 42
}
]Post
List event feed posts
Returns top-level event feed posts (or replies when ?parent= is provided). Requires ?event=<eventId>. Access is gated by ACCESS_EVENT_APP: non-attendees and cross-tenant users receive an empty collection rather than 403.
GET
/
api
/
v1
/
event-feed-posts
List event feed posts
curl --request GET \
--url https://app.orgo.space/api/v1/event-feed-posts \
--header 'Api-Token: <api-key>'import requests
url = "https://app.orgo.space/api/v1/event-feed-posts"
headers = {"Api-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Token': '<api-key>'}};
fetch('https://app.orgo.space/api/v1/event-feed-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.orgo.space/api/v1/event-feed-posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/event-feed-posts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.orgo.space/api/v1/event-feed-posts")
.header("Api-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/event-feed-posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": 42,
"owner": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"isBlockProtected": true
},
"ownerContact": {
"id": 42,
"name": "Boston Chapter",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"fullName": "James Patterson",
"firstName": "James",
"lastName": "Patterson"
},
"childrenCount": 12,
"dateCreated": "2026-01-15T10:30:00+00:00",
"mentions": [
{
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"isBlockProtected": true
}
],
"contactMentions": [
{
"id": 42,
"name": "Boston Chapter",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"fullName": "James Patterson",
"firstName": "James",
"lastName": "Patterson"
}
],
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"reactionData": [
"string"
],
"myReactions": [
"string"
],
"embedOpenGraph": {
"id": 42,
"url": "https://civic-collective.example.com/agm",
"openGraph": [
"string"
]
},
"medias": [
{
"id": 42,
"entityId": 42,
"contentUrl": "https://civic-collective.example.com",
"type": "MEMBER",
"mimeType": "application/pdf",
"originalName": "Boston Chapter"
}
],
"isDeleted": false,
"moderated": "/api/v1/logs/1",
"moderationStatus": "ACTIVE",
"task": "/api/v1/tasks/1",
"event": "/api/v1/events/1",
"eventFeedCategory": {
"id": 42,
"name": "Boston Chapter",
"color": "#16A34A"
},
"pinnedAt": "2026-01-15T10:30:00+00:00",
"parentId": 42
}
]Authorizations
ApiTokenJWT
Server-to-server authentication. Generate a token in the admin UI at
Settings → Developers → API Access. Send the raw token in the
Api-Token header — there is no Bearer prefix.
Tokens can be marked read-only at creation time, in which case the API
rejects any non-GET request with 403 Forbidden.
Query Parameters
The collection page number
The number of items per page
Required range:
0 <= x <= 100Response
200 - application/json
Post collection
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"/api/v1/logs/1"
Example:
"/api/v1/tasks/1"
Example:
"/api/v1/events/1"
Show child attributes
Show child attributes

